import request from '@/utils/request'

// 查询金融欠款-催告信息列表
export function listFinancial(query) {
    return request({
        url: '/crmArrearsNotificationFinancial/findByPage',
        method: 'get',
        params: query
    })
}

// 查询金融欠款-催告信息详细
export function getFinancial(id) {
    return request({
        url: '/crmArrearsNotificationFinancial/' + id,
        method: 'get'
    })
}

// 新增金融欠款-催告信息
export function addFinancial(data) {
    return request({
        url: '/crmArrearsNotificationFinancial',
        method: 'post',
        data: data
    })
}

// 修改金融欠款-催告信息
export function updateFinancial(data) {
    return request({
        url: '/crmArrearsNotificationFinancial',
        method: 'put',
        data: data
    })
}

// 删除金融欠款-催告信息
export function delFinancial(id) {
    return request({
        url: '/crmArrearsNotificationFinancial/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delFinancialBatch(ids) {
    console.log(ids);
    return request.post('/crmArrearsNotificationFinancial/delete',ids)
}